Subject: Re: [PATCH v5] powerpc/powernv: Add poweroff (EPOW, DPO) events support for PowerNV platform

From: Michael Ellerman <[email-masked]>
Date: Tue, 02 Jun 2015 19:16:35 +1000

On Tue, 2015-05-19 at 18:45 +0530, trigg wrote:
> 
> > On 18-May-2015, at 20:48, Vipin K Parashar <[email-masked]> wrote:
> > 
> > This patch adds support for FSP EPOW (Early Power Off Warning) and
> > DPO (Delayed Power Off) events for PowerNV platform. EPOW events are
> > generated by SPCN/FSP due to various critical system conditions that
> > need system shutdown. Few examples of these conditions are high
> > ambient temperature or system running on UPS power with low UPS battery.
> > DPO event is generated in response to admin initiated system request.
> >   Upon receipt of EPOW and DPO events host kernel invokes
> > orderly_poweroff for performing graceful system shutdown. System admin
> > can also add systemd service shutdown scripts to perform any specific
> > actions like graceful guest shutdown upon system poweroff. libvirt-guests
> > is systemd service available on recent distros for management of guests
> > at system start/shutdown time.
> > 
> > Signed-off-by: Vipin K Parashar <[email-masked]>
> 
> Acked-by: trigg <[email-masked]>

Please use your real name.

See: https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/tree/Documentation/SubmittingPatches#n446

cheers